<?php

function rete_tot()
{
include('php_gene1.php');
require('../cfg/res.php');

$xacceso=0;
$sql_acce='select * from usrdoc1 where ((docu like "RC%" and info="1")or(docu like "RP%" and info="1")) and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (@mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Informe de Retenciones ' );}	

  
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1= date('Y-m-'.'01');
$xfecha2= date('Y-m-d');

$xfgrou='D';	
$xforde='D';
$xfcodi='1';
	
?>


<!-- <script type="text/javascript" src="http://vcrxol.com/_js/js_gene1.js<?php echo $jsver?>"></script> -->
<script type="text/javascript" src="http://vcrxol.com/_js/js_ajax1.js<?php echo $jsver?>"></script>
<!-- <script type="text/javascript" src="http://vcrxol.com/_js/js_options.js<?php echo $jsver?>"></script> -->
<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>
  


function _fecha(e,idfec)
{
//if(e.keyCode==9 || e.keyCode==13)
	if(e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}


function retet1d(grupox,idnumx,obj)
{
	
	
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

	
var frepop=document.getElementById('frepop').checked;
var frepoc=document.getElementById('frepoc').checked;
	
var frepo='P';

if (frepop){frepo='P';}
if (frepoc){frepo='C';}
	
	
	
document.getElementById('retetot2').innerHTML='Cargando...';
$.ajax({
		cache:false,
		url:'../lib/vrretet1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,frepo:frepo,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 console.log(dato);
			 document.getElementById('retetot2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('retetot2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('retetot2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('retetot2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('retetot2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('retetot2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('retetot2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('retetot2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}

function down_zeus()
{
  _urlinker='../_lib/_linker.php';
  
  var data = new FormData();	
	var script=	'down_zeus.php';
	data.append('script',script);
	data.append('docu','RCLI');
	data.append('fecha1',document.getElementById('fecha_ini').value);
	data.append('fecha2',document.getElementById('fecha_fin').value);
// 	data.append('orient',orient);
	
	var rdata;
  newWin=window.open("","_blank");
	rdata=exe_ajax(data,'1');
  newWin.document.write(rdata);
  newWin.document.close();
//   return;
}
  
  
  
function impri_ride()
{
  _urlinker='../_lib/_linker.php';

var forde='F';
var forden=document.getElementById('forden').checked;
var fordef=document.getElementById('fordef').checked;
var fordee=document.getElementById('fordee').checked;

  
if (forden){forde='N';}
if (fordef){forde='F';}
if (fordee){forde='E';}
  
  
  var data = new FormData();	
	var script=	'prnt_ride1.php';
	data.append('script',script);
	data.append('docu','RCLI');
	data.append('fecha1',document.getElementById('fecha_ini').value);
	data.append('fecha2',document.getElementById('fecha_fin').value);
	data.append('order',forde);
// 	data.append('orient',orient);
	
	var rdata;
  newWin=window.open("","_blank");
	rdata=exe_ajax(data,'1');
  newWin.document.write(rdata);
  newWin.document.close();
//   return;
}
  


function redireccionar(desti) 
{
var docu=document.getElementById('docu').value;
var enti=document.getElementById('enti').value;
var cair=document.getElementById('cair').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}

var fgrouc=document.getElementById('fgrouc').checked;
var fgroud=document.getElementById('fgroud').checked;
var fgroue=document.getElementById('fgroue').checked;
	
var frepop=document.getElementById('frepop').checked;
var frepoc=document.getElementById('frepoc').checked;
	
var frta=document.getElementById('frta').checked;
var fiva=document.getElementById('fiva').checked;

var forden=document.getElementById('forden').checked;
var fordef=document.getElementById('fordef').checked;
var fordee=document.getElementById('fordee').checked;

var fgrou='C';
var frepo='P';
var forde='N';
	
if (fgrouc){fgrou='C';}
if (fgroud){fgrou='D';}
if (fgroue){fgrou='E';}

if (frepop){frepo='P';}
if (frepoc){frepo='C';}
	
if (forden){forde='N';}
if (fordef){forde='F';}
if (fordee){forde='E';}

if (desti=='I')
{
		pagina="../lib/impr_retet0.php?"
		+"&fecha_ini="+fecha_ini 
		+"&fecha_fin="+fecha_fin 
		+"&fgrou="+fgrou
		+"&frepo="+frepo
		+"&forde="+forde
		+"&fdocu="+docu
		+"&fenti="+enti
		+"&fcair="+cair
		+"&frta="+frta
		+"&fiva="+fiva;
		window.open(pagina);
	
}
else
{
		document.getElementById('retetot1').innerHTML='Cargando datos...';
		$.ajax({
		cache:false,
		url:'vrretet2.php',
		datatype: "text",
    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		fgrou:fgrou,
		frepo:frepo,
		forde:forde,
		frta:frta,
		fiva:fiva,
		docu:docu,
		enti:enti,
		cair:cair}, 
   	beforeSend: function(jqXHR, textStatus){}, 
		success:function(dato, textStatus, jqXHR)
		{document.getElementById('retetot1').innerHTML=dato;},
		error:function(jqXHR,textStatus,errorThrown )
		{
			if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
			else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
			else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
			else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
			else if (exception === 'timeout') {alert('Servidor no Responde');}
			else if (exception === 'abort'){console.log('Ajax request aborted.');}
			else {console.log('Uncaught Error: ' + jqXHR.responseText);}
		}, 
		complete:function(jqXHR, textStatus){if(textStatus==='success'){}},
		timeout:300000
	});
}
} 


function imprimirlista() 
{

var docu=document.getElementById('docu').value;
var enti=document.getElementById('enti').value;
var item=document.getElementById('item').value;
var ptov=document.getElementById('ptov').value;

var flsub=document.getElementById('flsub').value;
var fzsub=document.getElementById('fzsub').value;
var fcdad=document.getElementById('fcdad').value;
var frcdd=document.getElementById('frcdd').value;
var fvndd=document.getElementById('fvndd').value;
var fctlg=document.getElementById('fctlg').value;

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

fecha_ini=fecha_format(fecha_ini);
if(fecha_ini=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_ini').focus();return false;}
fecha_fin=fecha_format(fecha_fin);
if(fecha_fin=='error'){alert('formato de fecha incorrecta'); document.getElementById('fecha_fin').focus();return false;}


var fgroud=document.getElementById('fgroud').checked;
var fgroue=document.getElementById('fgroue').checked;
var fgroui=document.getElementById('fgroui').checked;
var fgroum=document.getElementById('fgroum').checked;
var fgrous=document.getElementById('fgrous').checked;
var fgrouf=document.getElementById('fgrouf').checked;
var fgrour=document.getElementById('fgrour').checked;
var fgroup=document.getElementById('fgroup').checked;
var fgrouv=document.getElementById('fgrouv').checked;
var fgrouz=document.getElementById('fgrouz').checked;
var fgroul=document.getElementById('fgroul').checked;

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;
var fordet=document.getElementById('fordet').checked;

var fcodis=document.getElementById('fcodis').checked;
var fcodia=document.getElementById('fcodia').checked;
var fcodie=document.getElementById('fcodie').checked;

var fgrou='D';
var forde='D';
var fcodi='1';

if (fcodis){fcodi='1';}
if (fcodia){fcodi='2';}
if (fcodie){fcodi='3';}


if (fgroud){fgrou='D';}
if (fgroue){fgrou='E';}
if (fgroui){fgrou='I';}
if (fgroum){fgrou='M';}
if (fgrous){fgrou='S';}
if (fgrouf){fgrou='F';}
if (fgroup){fgrou='P';}
if (fgrouv){fgrou='V';}
if (fgrour){fgrou='R';}
if (fgrouz){fgrou='Z';}
if (fgroul){fgrou='L';}

if (fordec){forde='C';}
if (forded){forde='D';}
if (fordet){forde='T';}



pagina="../lib/impr_retet0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fgrou="+fgrou
+"&fcodi="+fcodi
+"&forde="+forde
+"&fdocu="+docu
+"&fenti="+enti
+"&fitem="+item
+"&fptov="+ptov
+"&fcdad="+fcdad 
+"&fzsub="+fzsub 
+"&flsub="+flsub 
+"&fvndd="+fvndd
+"&frcdd="+frcdd
+"&fctlg="+fctlg;


window.open(pagina);
} 


function _enti(e)
{
// 	if(e.keyCode==9 || e.keyCode==13)
	if(e.keyCode==13)
	{
		busca_maes2('enti',document.getElementById('enti').value,'enti','descri','');
	}
}

function _item(e)
{
// 	if(e.keyCode==9 || e.keyCode==13)
	if(e.keyCode==13)
	{
			busca_maes2('item',document.getElementById('item').value,'item','descri','');
	}
}

</script>


<div style=" max-height:200px; overflow-y:scroll; margin-top:5px;">





<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table><caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	</table>
	
<!-- <div align="center">
FECHAS
</div>
<div align="right">
<span>Inicial</span> <input type="text" id="fecha_ini" placeholder="aaaa-mm-dd" size="6" onkeydown="_fecha(event,'fecha_ini');" value="<?php echo $xfecha1;?>" /> 
</div>
<div align="right">
<span>Final</span> <input type="text" id="fecha_fin" placeholder="aaaa-mm-dd" size="6" onkeydown="_fecha(event,'fecha_fin');" value="<?php echo $xfecha2;?>" /> 
</div> -->
</th>

<th style ="border-left:solid 1px;">
<div align="center">
<span>REPORTE</span>
</div>
<div>
<?php $pname='frepo';?>	
<?php $pidtxt='frepop';  $pcaption='Proveedores'; $pdefa=1; include('vrradio.php'); ?>	
<?php $pidtxt='frepoc';  $pcaption='Clientes'; $pdefa=0; include('vrradio.php'); ?>	
<br/>
<?php $pidtxt='frta'; $pcaption='Imp.Rta'; $pdefa=1; include('vrchkbox.php'); ?>	
<?php $pidtxt='fiva'; $pcaption='I.V.A.'; $pdefa=0; include('vrchkbox.php'); ?>	
	</div>	
</th>

	

<th style ="border-left:solid 1px;">
<div align="center">
<span>AGRUPADO X</span>
</div>
<div>
<?php $pname='fgroup';?>	
<?php $pidtxt='fgrouc';  $pcaption='Cod.Ret'; $pdefa=1; include('vrradio.php'); ?>	
<?php $pidtxt='fgroud';  $pcaption='Documento'; $pdefa=0; include('vrradio.php'); ?>	
<?php $pidtxt='fgroue';  $pcaption='Entidad'; $pdefa=0; include('vrradio.php'); ?>	
	</div>	
</th>

	
<th style ="border-left:solid 1px;">
<div align="center">
<!-- <span>Impuesto</span> -->
</div>
<div>
<!-- <th>	 -->
<?php //$pidtxt='frta'; $pcaption='Imp.Rta'; $pdefa=1; include('vrchkbox.php'); ?>	
<?php //$pidtxt='fiva'; $pcaption='I.V.A.'; $pdefa=0; include('vrchkbox.php'); ?>	
</th>
	
<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div cellpading="15">
<?php $pname='forder';?>	
<?php $pidtxt='forden'; $pcaption='Numero'; $pdefa=1; include('vrradio.php'); ?>	
<?php $pidtxt='fordef'; $pcaption='Fecha'; $pdefa=0; include('vrradio.php'); ?>	
<?php $pidtxt='fordee'; $pcaption='Entidad'; $pdefa=0; include('vrradio.php'); ?>	
</div>
</th>

<th style ="border-left:solid 1px;">
<div align="center">
<span>FILTROS</span>
</div>
<table>
	<tr>
		<?php $pcaption='CAIR';  $ptabla='cair'; $pidtxt='cair';  include('vrgetcod.php'); ?>
	</tr>
	<tr>
		<?php $pcaption='ENTIDAD';  $ptabla='enti'; $pidtxt='enti'; $pdefa=$xfenti; $pnotob=1; include('vrgetcod.php'); ?>
	</tr>
	<tr>
		<?php $pcaption='Docu';  $ptabla='docu'; $pidtxt='docu'; $pdefa=$xfdocu; $pnotob=1; include('vrgetcod.php'); ?>
	</tr>
</table>	
</th>

	
<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Imprimir';  $ponclick="redireccionar('I');" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='RIDE';  $ponclick="impri_ride();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='ZEUS';  $ponclick="down_zeus();" ;include('vrbutton.php'); ?>
</th>

</tr>
</table>

<!-- 	
<table id="tabla_filtros2" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr>
<th>FILTROS</th>
<th style ="border-left:solid 1px;">
<table>
	<tr>
		<?php //$pcaption='Docu';  $ptabla='docu'; $pidtxt='docu'; $pdefa=$xfdocu; $pnotob=1; include('vrgetcod.php'); ?>
		<?php //$pcaption='Cliente';  $ptabla='enti'; $pidtxt='enti'; $pdefa=$xfenti; $pnotob=1; include('vrgetcod.php'); ?>
		<?php //$pcaption='CAIR';  $ptabla='cair'; $pidtxt='cair';  include('vrgetcod.php'); ?>
	</tr>
</table>	
</th>
</tr>
</table>
 -->
</div>

<hr/>


<div id="retetot1" style="overflow-y:scroll; height:300px;"></div>

<br>
<div id="retetot2"></div>

<?php		
// $xwidth=40;	
require('lista_car.php');
?>	
<!-- 
<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    
 -->



<?php }?>